Bug 1315566 - (CVE-2016-1952) CVE-2016-1952 Mozilla: Miscellaneous memory safety hazards (rv:38.7) (MFSA 2016-16)
CVE-2016-1952 Mozilla: Miscellaneous memory safety hazards (rv:38.7) (MFSA 20...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 00:48 EST by Huzaifa S. Sidhpurwala
Modified: 2016-03-28 01:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-28 01:22:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 00:48:07 EST
Mozilla developers and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code. 

Bob Clary, Christoph Diehl, Christian Holler, Andrew McCreight, Daniel Holbert, Jesse Ruderman, and Randell Jesup reported memory safety problems and crashes that affect Firefox ESR 38.6 and Firefox 44.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-16.html


Acknowledgements:

Name: the Mozilla project
Upstream: Bob Clary, Christoph Diehl, Christian Holler, Andrew McCreight, Daniel Holbert, Jesse Ruderman, Randell Jesup
Comment 1 errata-xmlrpc 2016-03-09 00:11:53 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2016:0373 https://rhn.redhat.com/errata/RHSA-2016-0373.html
Comment 2 errata-xmlrpc 2016-03-16 13:36:59 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0460 https://rhn.redhat.com/errata/RHSA-2016-0460.html

Note You need to log in before you can comment on or make changes to this bug.